# Class SseServerParameters.Builder

java.lang.Object
com.google.adk.tools.mcp.SseServerParameters.Builder

Enclosing class:
  `SseServerParameters`

public abstract static class SseServerParameters.Builder extends Object
Builder for `SseServerParameters`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract SseServerParameters`
  `build()`
  Builds a new `SseServerParameters` instance.
  `abstract SseServerParameters.Builder`
  `headers(@Nullable Map<String,Object> headers)`
  Sets the headers for the SSE connection request.
  `abstract SseServerParameters.Builder`
  `sseEndpoint(String sseEndpoint)`
  Sets the endpoint to connect to on the SSE server.
  `abstract SseServerParameters.Builder`
  `sseReadTimeout(@Nullable Duration sseReadTimeout)`
  Sets the timeout for reading data from the SSE stream.
  `abstract SseServerParameters.Builder`
  `timeout(@Nullable Duration timeout)`
  Sets the timeout for the initial connection attempt.
  `abstract SseServerParameters.Builder`
  `url(String url)`
  Sets the URL of the SSE server.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### url

    public abstract SseServerParameters.Builder url(String url)
    Sets the URL of the SSE server.

  - ### sseEndpoint

    public abstract SseServerParameters.Builder sseEndpoint(String sseEndpoint)
    Sets the endpoint to connect to on the SSE server.

  - ### headers

    public abstract SseServerParameters.Builder headers(@Nullable Map<String,Object> headers)
    Sets the headers for the SSE connection request.

  - ### timeout

    public abstract SseServerParameters.Builder timeout(@Nullable Duration timeout)
    Sets the timeout for the initial connection attempt.

  - ### sseReadTimeout

    public abstract SseServerParameters.Builder sseReadTimeout(@Nullable Duration sseReadTimeout)
    Sets the timeout for reading data from the SSE stream.

  - ### build

    public abstract SseServerParameters build()
    Builds a new `SseServerParameters` instance.